commit:     4aa145867a3da1894dd50fff7e726cc038edc721
Author:     Christoph Junghans <junghans <AT> gentoo <DOT> org>
AuthorDate: Mon Jun  1 14:29:52 2020 +0000
Commit:     Christoph Junghans <junghans <AT> gentoo <DOT> org>
CommitDate: Mon Jun  1 16:35:52 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4aa14586

app-admin/denyhosts: add python3.{7,8} support

Closes: https://bugs.gentoo.org/718172
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Christoph Junghans <junghans <AT> gentoo.org>

 app-admin/denyhosts/denyhosts-3.0-r2.ebuild | 66 +++++++++++++++++++++++++++++
 app-admin/denyhosts/metadata.xml            |  6 +--
 2 files changed, 69 insertions(+), 3 deletions(-)

diff --git a/app-admin/denyhosts/denyhosts-3.0-r2.ebuild 
b/app-admin/denyhosts/denyhosts-3.0-r2.ebuild
new file mode 100644
index 00000000000..70da20f43fa
--- /dev/null
+++ b/app-admin/denyhosts/denyhosts-3.0-r2.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1 eutils readme.gentoo-r1 systemd
+
+DESCRIPTION="DenyHosts is a utility to help sys admins thwart ssh hackers"
+HOMEPAGE="https://github.com/denyhosts/denyhosts";
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~sparc ~x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND=""
+
+DISABLE_AUTOFORMATTING="yes"
+DOC_CONTENTS="
+>=net-misc/openssh-6.7p1 dropped support for sys-apps/tcp-wrappers
+(see bug#531156) that means you either have patch openssh or use
+denyhosts' iptables feature to get any protection.
+
+You can configure DenyHosts to run as a daemon by running:
+# rc-update add denyhosts default
+or:
+# systemctl enable denyhosts.service
+(if you use systemd)
+
+To run DenyHosts as a cronjob instead of a daemon add the following
+to /etc/crontab
+# run DenyHosts every 10 minutes
+*/10  *  * * *    root    /usr/bin/denyhosts.py -c /etc/denyhosts.conf
+
+More information can be found at ${HOMEPAGE}faq.html"
+
+#bring back python-2.7 support  bug #577502
+PATCHES=( "${FILESDIR}"/"${P}"-python2.7.patch )
+
+src_prepare() {
+       sed -e '/^DENY_THRESHOLD_VALID =/s/=.*/= 5/' \
+               -e '/^SECURE_LOG/s/^/#/' \
+               -e '\@#SECURE_LOG.*/var/log/messages@s/^#//' \
+               -i denyhosts.conf || die "sed failed"
+
+       distutils-r1_src_prepare
+}
+
+src_install() {
+       readme.gentoo_create_doc
+
+       dodoc CHANGELOG.txt README.md
+       distutils-r1_src_install
+
+       dodir /etc/logrotate.d
+       insinto /etc/logrotate.d
+       newins "${FILESDIR}"/${PN}.logrotate-r2 ${PN}
+
+       newinitd "${FILESDIR}"/denyhosts.init-r2 denyhosts
+       systemd_dounit "${FILESDIR}"/${PN}.service
+
+       keepdir /var/lib/denyhosts
+}

diff --git a/app-admin/denyhosts/metadata.xml b/app-admin/denyhosts/metadata.xml
index c193ef3b8e0..3e89d981c93 100644
--- a/app-admin/denyhosts/metadata.xml
+++ b/app-admin/denyhosts/metadata.xml
@@ -1,9 +1,9 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
 <pkgmetadata>
-  <maintainer type="person">
-    <email>[email protected]</email>
-    <name>Christoph Junghans</name>
+  <maintainer type="project">
+    <email>[email protected]</email>
+    <name>Proxy Maintainers</name>
   </maintainer>
   <upstream>
     <remote-id type="github">denyhosts/denyhosts</remote-id>

Reply via email to